
From: "Art Haas" <ahaas@airmail.net>

Here's a small patch changing the GNU-style initializers to C99
initializers.


---

 25-akpm/drivers/media/dvb/ttpci/budget-av.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/ttpci/budget-av.c~budget-av-c99-fixes drivers/media/dvb/ttpci/budget-av.c
--- 25/drivers/media/dvb/ttpci/budget-av.c~budget-av-c99-fixes	Wed Feb 25 13:44:14 2004
+++ 25-akpm/drivers/media/dvb/ttpci/budget-av.c	Wed Feb 25 13:44:14 2004
@@ -68,8 +68,8 @@ static int i2c_readregs(struct dvb_i2c_b
 {
         u8 mm1[] = { reg };
         struct i2c_msg msgs[2] = {
-		{ addr: id/2, flags: 0, buf: mm1, len: 1 },
-		{ addr: id/2, flags: I2C_M_RD, buf: buf, len: len }
+		{ .addr = id/2, .flags = 0, .buf = mm1, .len = 1 },
+		{ .addr = id/2, .flags = I2C_M_RD, .buf = buf, .len = len }
 	};
 
         if (i2c->xfer(i2c, msgs, 2) != 2)

_
